import request from '/@/utils/request';

export function assessApplyApi() {
	return {
		getData: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/experimentInfo/list/page/apply/evaluation',
				method: 'post',
				data: params
			});
		},

		getRiskReportPage: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/report/select/selectRiskReportPage',
				method: 'post',
				data: params
			});
		},

		toRiskReport: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/report/insert/insertRiskReport',
				method: 'post',
				data: params
			});
		},

		updateRiskReport: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/report/update/updateRiskReport',
				method: 'post',
				data: params
			});
		},

		updateRiskReportInfo: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/report/update/updateRiskReportInfo',
				method: 'post',
				data: params
			});
		},

		// uploadReport: (params: object) => {
		// 	return request({
		// 		url: import.meta.env.VITE_API_URL + '/report/update/report',
		// 		method: 'post',
		// 		data: params
		// 	});
		// },
		uploadReport: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/report/update/reportNew',
				method: 'post',
				data: params
			});
		}
	};
}
